Subject: Re: bug#14204: [ELPA] Update coffe-mode.el to latest version

From: Reuben Thomas <[email-masked]>
Date: Fri, 22 Oct 2021 22:27:12 +0100

I just ran the following command on the current version of coffee-mode.el
at https://github.com/defunkt/coffee-mode:

git blame coffee-mode.el --porcelain | grep  "^author "|sort|uniq -c

This shows the following authors with more than 15 lines of code:

Chris Wanstrath
Danny McClanahan
Denis Washington
Justine Tunney
Petri Lehtinen
Reuben Thomas (me!)
Syohei Yoshida
Tim McGilchrist

Of course, this is not a rigorous assessment, as it could include commits
where the committer has simply reformatted code. I then skimmed through the
entire history and did not find any major reformatting commits, so it seems
that the above list is indeed correct.

At this stage, given that coffee-mode is unlikely to be that popular, I
think it's probably a waste of effort to try to get signatures from any
authors who haven't yet signed; so if there are authors who haven't, then
NonGNU ELPA is the right place to put it.

On Fri, 22 Oct 2021 at 20:34, Philip Kaludercic <[email-masked]> wrote:

> Stefan Kangas <[email-masked]> writes:
>
> > Hi Philip,
> >
> > Stefan Kangas <[email-masked]> writes:
> >
> >> Dmitry Gutov <[email-masked]> writes:
> >>
> >>> On 10.09.2020 17:33, Stefan Kangas wrote:
> >>>> I have also asked the current maintainer to sign the papers here:
> >>>>
> >>>>      https://github.com/defunkt/coffee-mode/issues/372
> >>>
> >>> He replied that he already signed, and indeed, that's the case.
> >>
> >> That leaves us with the task of chasing down the other contributors.
> >
> > I guess this should also rather be going to NonGNU ELPA at this point?
> > I can see you posted in the above issue, so I assume you are looking
> > into it?  Thanks in advance.
>
> I haven't looked further into the issue since, nor have I checked how
> many people have significant contributions without having signed the
> copyright papers.
>
> From a quick check, it seems that most major contributions were made
> before 2014, which is the current state in GNU ELPA.  So it might be
> possible to check if these few have either signed or are willing to sign
> the papers, before we move the package to NonGNU ELPA.
>
> --
>         Philip Kaludercic
>

-- 
https://rrt.sc3d.org